const getURL = (url) => {
    try {
        return new URL(url);
    } catch (e) {
        throw new Error('Invalid URL!');
    }
};

const getSearchUrl = (searchUrl) => {
    return searchUrl.replace('&vm=r', '').replace('&p={searchTerms}', '');
};


const url = getURL('https://www.safetybrowsing.com/search/?category=web&vert=private&s=oaff');
const domain = `${url.hostname.split('.')[1]}.${url.hostname.split('.')[2]}`;
const params = new URLSearchParams(url.search);

export const config = {
    browserActionUrl: 'https://safety.yahoo.com/SafetyGuides/Search/index.htm',
    uninstall: `https://search.${domain}/wim/uninstall?s=${params.get('s')}&vert=${params.get('vert')}`,
    search: getSearchUrl(chrome.runtime.getManifest().chrome_settings_overrides.search_provider.search_url),
    omnibox: chrome.runtime.getManifest().omnibox.keyword,
};